SignSecureSignSecure Docs
Envelopes

Generate Upload URL

Generate a new presigned upload URL for a draft envelope. Useful if the original URL has expired.

POST
/envelopes/{envelopeId}/uploads

Generate a new presigned upload URL for a draft envelope. Useful if the original URL has expired.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

envelopeId*string

The envelope ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.signsecure.com/api/v1/envelopes/string/uploads"
{
  "upload": {
    "url": "string",
    "fields": {
      "property1": "string",
      "property2": "string"
    }
  },
  "fileKey": "string",
  "expiresIn": 3600,
  "maxFileSize": 10485760
}
{
  "code": "INVALID_STATUS",
  "message": "File upload can only be done for draft envelopes",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Envelope not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}